/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __DLGLIBRARYBOX_H__
#define __DLGLIBRARYBOX_H__

///// The dialog box for editing libraries //////


// The dialog for editing which libraries are in use
class CDlgLibraryBox : public CDialog 
{

	CListBox *theListBox;

	CLibraryStore *LibSelected();

	virtual void OnOK();
public:
	// Construction
	CDlgLibraryBox(CWnd *pParentWnd);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgLibraryBox)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:

// Dialog Data
	//{{AFX_DATA(CDlgLibraryBox)
	enum { IDD = IDD_LIBRARY };
	CStatic	m_position;
	//}}AFX_DATA


	// Generated message map functions
protected:
	//{{AFX_MSG(CDlgLibraryBox)
	afx_msg BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnEdit();
	afx_msg void OnDblclkAvailable();
	afx_msg void OnNew();
	afx_msg void OnUpgrade();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};




#endif // __DLGLIBRARYBOX_H__
